Package be.fgov.ehealth.chap4.protocol.v1

# Class AskChap4MedicalAdvisorAgreementResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v1.ResponseType
be.fgov.ehealth.chap4.protocol.v1.AskChap4MedicalAdvisorAgreementResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:28+02:00", comments="JAXB RI v4.0.5") public class AskChap4MedicalAdvisorAgreementResponse extends ResponseType implements Serializable

Java class for AskChap4MedicalAdvisorAgreementResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AskChap4MedicalAdvisorAgreementResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="CommonOutput" type="{urn:be:fgov:ehealth:chap4:core:v1}CommonOutputType"/>
             <element name="RecordCommonOutput" type="{urn:be:fgov:ehealth:chap4:core:v1}RecordCommonOutputType"/>
             <element name="ReturnInfo" type="{urn:be:fgov:ehealth:chap4:core:v1}FaultType" minOccurs="0"/>
             <element name="Response" type="{urn:be:fgov:ehealth:chap4:core:v1}SecuredContentType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AskChap4MedicalAdvisorAgreementResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommonOutputType`
  `getCommonOutput()`
  Gets the value of the commonOutput property.
  `RecordCommonOutputType`
  `getRecordCommonOutput()`
  Gets the value of the recordCommonOutput property.
  `SecuredContentType`
  `getResponse()`
  Gets the value of the response property.
  `FaultType`
  `getReturnInfo()`
  Gets the value of the returnInfo property.
  `void`
  `setCommonOutput(CommonOutputType value)`
  Sets the value of the commonOutput property.
  `void`
  `setRecordCommonOutput(RecordCommonOutputType value)`
  Sets the value of the recordCommonOutput property.
  `void`
  `setResponse(SecuredContentType value)`
  Sets the value of the response property.
  `void`
  `setReturnInfo(FaultType value)`
  Sets the value of the returnInfo property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

  `getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AskChap4MedicalAdvisorAgreementResponse

    public AskChap4MedicalAdvisorAgreementResponse()

- ## Method Details

  - ### getCommonOutput

    public CommonOutputType getCommonOutput()
    Gets the value of the commonOutput property.
    Returns:
      possible object is `CommonOutputType`

  - ### setCommonOutput

    public void setCommonOutput(CommonOutputType value)
    Sets the value of the commonOutput property.
    Parameters:
      `value` - allowed object is `CommonOutputType`

  - ### getRecordCommonOutput

    public RecordCommonOutputType getRecordCommonOutput()
    Gets the value of the recordCommonOutput property.
    Returns:
      possible object is `RecordCommonOutputType`

  - ### setRecordCommonOutput

    public void setRecordCommonOutput(RecordCommonOutputType value)
    Sets the value of the recordCommonOutput property.
    Parameters:
      `value` - allowed object is `RecordCommonOutputType`

  - ### getReturnInfo

    public FaultType getReturnInfo()
    Gets the value of the returnInfo property.
    Returns:
      possible object is `FaultType`

  - ### setReturnInfo

    public void setReturnInfo(FaultType value)
    Sets the value of the returnInfo property.
    Parameters:
      `value` - allowed object is `FaultType`

  - ### getResponse

    public SecuredContentType getResponse()
    Gets the value of the response property.
    Returns:
      possible object is `SecuredContentType`

  - ### setResponse

    public void setResponse(SecuredContentType value)
    Sets the value of the response property.
    Parameters:
      `value` - allowed object is `SecuredContentType`